# Uses of Interface
org.eclipse.emf.spi.cdo.InternalCDOSavepoint

Packages that use InternalCDOSavepoint
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOSavepoint in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDOSavepoint
Modifier and Type
Method
Description
`InternalCDOSavepoint`
InternalCDOTransaction.`getFirstSavepoint()`
`InternalCDOSavepoint`
InternalCDOSavepoint.`getFirstSavePoint()`
`InternalCDOSavepoint`
InternalCDOTransaction.`getLastSavepoint()`
`InternalCDOSavepoint`
InternalCDOSavepoint.`getNextSavepoint()`
`InternalCDOSavepoint`
InternalCDOSavepoint.`getPreviousSavepoint()`
`InternalCDOSavepoint`
InternalCDOTransaction.`handleSetSavepoint()`
`InternalCDOSavepoint`
InternalCDOTransaction.`setSavepoint()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDOSavepoint
Modifier and Type
Method
Description
`void`
InternalCDOTransaction.`handleRollback(InternalCDOSavepoint savepoint)`